package org.jeecg.common.dto.archives;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.archives.entity.ProjectManageArchives;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

/**
   * @Author jihaosen
   * @date 2021/2/25
   */
 @ApiModel("批次档案响应参数")
@Data
public class ProArchivesAddRespDTO {
    private String id;
    @ApiModelProperty("项目档案Id")
    @NotEmpty(message = "参数proId不为空")
    private String proId;
    @ApiModelProperty("项目编码")
    @NotEmpty(message = "参数proCode不为空")
    private String proCode;
    @ApiModelProperty("项目名称")
    @NotEmpty(message = "参数proName不为空")
    private String proName;
    @ApiModelProperty("客户档案id")
    @NotEmpty(message = "参数cusId不为空")
    private String cusId;
    @ApiModelProperty("客户编码")
    @NotEmpty(message = "参数cusName不为空")
    private String cusCode;
    @ApiModelProperty("客户名称")
    private String cusName;
    @ApiModelProperty("项目总金额")
    @NotEmpty(message = "参数totalPrice不为空")
    private BigDecimal totalPrice;
    @ApiModelProperty("已回款金额")
    private BigDecimal received;
    @ApiModelProperty("销售经理id")
    private String saleManagerId;
    @ApiModelProperty("销售经理")
    private String saleManager;
    @ApiModelProperty("业务员id")
    private String saleManId;
    @ApiModelProperty("业务员")
    private String saleMan;
    @ApiModelProperty("实施项目经理id")
    private String impManagerId;
    @ApiModelProperty("实施项目经理")
    private String impManager;
    @ApiModelProperty("实施顾问id")
    private String impConsultantId;
    @ApiModelProperty("实施顾问")
    private String impConsultant;
    @ApiModelProperty("开发项目经理id")
    private String deManagerId;
    @ApiModelProperty("开发项目经理")
    private String deManager;
    @ApiModelProperty("开发工程师id")
    private String deEngineerId;
    @ApiModelProperty("开发工程师")
    private String deEngineer;
    @ApiModelProperty("服务经理id")
    private String seManagerId;
    @ApiModelProperty("服务经理")
    private String seManager;
    @ApiModelProperty("服务工程师id")
    private String seEngineerId;
    @ApiModelProperty("服务工程师")
    private String seEngineer;
    @ApiModelProperty("里程碑档案id")
    private String milestoneId;
    @ApiModelProperty("里程碑档案类型")
    private String milestoneType;
    @ApiModelProperty("组织")
    private String pkOrg;

    @ApiModelProperty("项目档案—商务")
    private BsInfo bsInfo;
    @ApiModelProperty("项目档案—实施")
    private IpInfoRespDTO ipInfo;
    @ApiModelProperty("项目档案—开发")
    private DeInfoRespDTO deInfo;
    @ApiModelProperty("项目档案—服务")
    private SeInfoRespDTO seInfo;

    public ProArchivesAddRespDTO() {
    }

    public ProArchivesAddRespDTO(ProjectManageArchives archives) {
        this.id = archives.getId();
        this.proId = archives.getProId();
        this.proCode = archives.getProCode();
        this.proName = archives.getProName();
        this.cusId = archives.getCusId();
        this.cusCode = archives.getCusCode();
        this.cusName = archives.getCusName();
        this.totalPrice = archives.getTotalPrice();
        this.saleManagerId = archives.getSaleManagerId();
        this.saleManager = archives.getSaleManager();
        this.saleManId = archives.getSaleManId();
        this.saleMan = archives.getSaleMan();
        this.impManagerId = archives.getImpManagerId();
        this.impManager = archives.getImpManager();
        this.impConsultantId = archives.getImpConsultantId();
        this.impConsultant = archives.getImpConsultant();
        this.deManagerId = archives.getDeManagerId();
        this.deManager = archives.getDeManager();
        this.deEngineerId = archives.getDeEngineerId();
        this.deEngineer = archives.getDeEngineer();
        this.seManagerId = archives.getSeManagerId();
        this.seManager = archives.getSeManager();
        this.seEngineerId = archives.getSeEngineerId();
        this.seEngineer = archives.getSeEngineer();
        this.milestoneId = archives.getMilestoneId();
        this.milestoneType = archives.getMilestoneType();
        this.pkOrg = archives.getPkOrg();
        this.received = archives.getReceived();
    }
}
