package org.jeecg.common.dto.archives;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

/**
   * @Author jihaosen
   * @date 2021/2/24
   */
@ApiModel("项目档案--计划信息新增请求参数")
@Data
public class ProBusinessOtherAddReqDTO {
    @ApiModelProperty( "当前节点id")
    private String key;
    @ApiModelProperty( "父节点id")
    private String parentId;
    @ApiModelProperty( "里程碑id")
    private String muilesId;
    @ApiModelProperty( "里程碑名称")
    private String muilesName;
    @ApiModelProperty( "里程碑编码")
    private String muilesCode;
    @ApiModelProperty( "开始时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty( "结束时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    @ApiModelProperty( "计划人天")
    private String planTime;
    @ApiModelProperty( "执行人")
    private String executor;
    @ApiModelProperty( "执行人id （来源角色表）")
    private String executorId;
    @ApiModelProperty( "实际人天")
    private String realTime;
    @ApiModelProperty("排序")
    private Integer sort;

    public ProBusinessOtherAddReqDTO() {
    }

    public ProBusinessOtherAddReqDTO(String keyId, String parentId, String muilesId, String muilesName, Date startDate, Date endDate,
        String planTime, String executor, String executorId, String realTime, Integer sort) {
        this.key = keyId;
        this.parentId = parentId;
        this.muilesId = muilesId;
        this.muilesName = muilesName;
        this.startDate = startDate;
        this.endDate = endDate;
        this.planTime = planTime;
        this.executor = executor;
        this.executorId = executorId;
        this.realTime = realTime;
        this.sort = sort;
    }
}
