package org.jeecg.common.dto.basedata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.modules.basedata.entity.BaseArchivesMilestone;
import java.util.List;

/**
   * @Author jihaosen
   * @date 2021/2/24
   */
@ApiModel("里程碑列表返回参数")
public class ArchivesMilestoneListRespDTO {
    @ApiModelProperty("id")
    private java.lang.String id;
    @ApiModelProperty("id")
    private  String key;
    @ApiModelProperty("名称")
    private String title;
    @ApiModelProperty("名称")
    @Getter
    @Setter
    private String name;
    @ApiModelProperty("父节点id")
    private java.lang.String parentId;
    @ApiModelProperty("编码")
    private java.lang.String code;
    @ApiModelProperty("类别id(来源数据字典)")
    private String typeId;
    @ApiModelProperty("类别")
    private java.lang.String type;
    @ApiModelProperty(" 是否叶子节点: 1:是 0:不是")
    private boolean isLeaf;
    @ApiModelProperty(" 子节点数据")
    private List<ArchivesMilestoneListRespDTO> children;

    public ArchivesMilestoneListRespDTO() {
    }

    public ArchivesMilestoneListRespDTO(BaseArchivesMilestone baseArchivesMilestone) {
        this.id = baseArchivesMilestone.getId();
        this.key = baseArchivesMilestone.getId();
        this.title = baseArchivesMilestone.getName();
        this.parentId = baseArchivesMilestone.getParentId();;
        this.code = baseArchivesMilestone.getCode();
        this.typeId = baseArchivesMilestone.getTypeId();
        this.type = baseArchivesMilestone.getType();
        this.name = baseArchivesMilestone.getName();
        this.isLeaf = false;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public List<ArchivesMilestoneListRespDTO> getChildren() {
        return children;
    }

    public void setChildren(List<ArchivesMilestoneListRespDTO> children) {
        this.children = children;
    }
}
