package org.jeecg.common.dto.basedata;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.modules.basedata.entity.BaseArchivesPost;
import java.util.List;

/**
   * @Author jihaosen
   * @date 2021/2/23
   * @desc 职务档案参数返回
   */
public class ArchivesPostListRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("key")
    private String key;
    @ApiModelProperty("父节点id")
    private String parentId;
    @ApiModelProperty("职务编码")
    private String code;
    @ApiModelProperty("职务名称")
    private String title;
    @ApiModelProperty("职务名称")
    @Getter
    @Setter
    private String name;
    @ApiModelProperty(" 是否叶子节点: 1:是 0:不是")
    private boolean isLeaf;

    private List<ArchivesPostListRespDTO> children;

    public ArchivesPostListRespDTO() {
    }

    public ArchivesPostListRespDTO(BaseArchivesPost baseArchivesPost) {
        this.id = baseArchivesPost.getId();
        this.key = baseArchivesPost.getId();
        this.parentId = baseArchivesPost.getParentId();
        this.code = baseArchivesPost.getCode();
        this.title = baseArchivesPost.getName();
        this.name = baseArchivesPost.getName();
        this.isLeaf = false;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public List<ArchivesPostListRespDTO> getChildren() {
        return children;
    }

    public void setChildren(List<ArchivesPostListRespDTO> children) {
        this.children = children;
    }
}
