package org.jeecg.common.dto.basedata;

import io.swagger.annotations.ApiModelProperty;
import org.jeecg.modules.basedata.entity.BaseArchivesProjectApproval;
import java.util.List;

/**
   * @Author jihaosen
   * @date 2021/2/24
   * @desc 项目立项list返回参数
   */
public class BaseArchivesProjectApprovalRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("key")
    private String key;
    @ApiModelProperty("title")
    private String title;
    @ApiModelProperty("父节点id")
    private String parentId;
    @ApiModelProperty("项目编码")
    private String code;
    @ApiModelProperty("项目名称")
    private String name;
    @ApiModelProperty("状态（0：未启用， 1：启用）")
    private Integer status;
    @ApiModelProperty("子节点数据")
    private List<BaseArchivesProjectApprovalRespDTO> children;
    @ApiModelProperty(" 是否叶子节点: 1:是 0:不是")
    private boolean isLeaf;


    private static final long serialVersionUID = 1L;

    public BaseArchivesProjectApprovalRespDTO() {
    }

    public BaseArchivesProjectApprovalRespDTO(BaseArchivesProjectApproval baseArchivesProjectApproval) {
        this.id = baseArchivesProjectApproval.getId();
        this.key = baseArchivesProjectApproval.getId();
        this.title = baseArchivesProjectApproval.getName();
        this.parentId = baseArchivesProjectApproval.getParentId();
        this.code = baseArchivesProjectApproval.getCode();
        this.status = baseArchivesProjectApproval.getStatus();
        this.isLeaf = false;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public List<BaseArchivesProjectApprovalRespDTO> getChildren() {
        return children;
    }

    public void setChildren(List<BaseArchivesProjectApprovalRespDTO> children) {
        this.children = children;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}
