package org.jeecg.common.dto.expense;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

/**
   * @Author jihaosen
   * @date 2021/3/8
   */
@ApiModel("费用报销单新增参数请求")
@Data
public class ExpenseSlipAddReqDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("人员id")
    private String personId;
    @ApiModelProperty("人员")
    private String person;
    @ApiModelProperty("日期")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date date;
    @ApiModelProperty("制单人id")
    private String producerId;
    @ApiModelProperty("制单人")
    private String producer;
    @ApiModelProperty("审核人id")
    private String reviewerId;
    @ApiModelProperty("审核人")
    private String reviewer;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名")
    private String proName;
    @ApiModelProperty("组织")
    private String pkOrg;

    private List<ExpenseSlipProjectAddReqDTO> detailList;

    public ExpenseSlipAddReqDTO() {
    }
}
