package org.jeecg.common.dto.expense;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.expense.entity.ReExpenseSlipProject;
import java.math.BigDecimal;

/**
   * @Author jihaosen
   * @date 2021/3/8
   */
@ApiModel("费用报销单--项目金额新增参数响应")
@Data
public class ExpenseSlipProjectListRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("费用报销单id")
    private String expenseId;
    @ApiModelProperty("费用项目id")
    private String costId;
    @ApiModelProperty("费用项目名称")
    private String costName;
    @ApiModelProperty("金额")
    private BigDecimal price;
    @ApiModelProperty("排序")
    private Integer sort;

    public ExpenseSlipProjectListRespDTO() {
    }

    public ExpenseSlipProjectListRespDTO(ReExpenseSlipProject project) {
        this.id = project.getId();
        this.expenseId = project.getExpenseId();
        this.costId = project.getCostId();
        this.costName = project.getCostName();
        this.price = project.getPrice();
        this.sort = project.getSort();
    }
}
