package org.jeecg.common.dto.expense;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.expense.entity.ReExpenseSlip;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

 /**
   * @Author jihaosen
   * @date 2021/3/8
   */
@ApiModel("报销单id响应参数")
@Data
public class ExpenseSlipRespDTO {
        @ApiModelProperty("id")
        private String id;
        @ApiModelProperty("人员id")
        private String personId;
        @ApiModelProperty("人员")
        private String person;
        @ApiModelProperty("日期")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date date;
        @ApiModelProperty("制单人id")
        private String producerId;
        @ApiModelProperty("制单人")
        private String producer;
        @ApiModelProperty("审核人id")
        private String reviewerId;
        @ApiModelProperty("审核人")
        private String reviewer;
        @ApiModelProperty("项目id")
        private String proId;
        @ApiModelProperty("项目名")
        private String proName;
        @ApiModelProperty("组织")
        private String pkOrg;

        private List<ExpenseSlipProjectListRespDTO> detailList;

        public ExpenseSlipRespDTO() {
        }

     public ExpenseSlipRespDTO(ReExpenseSlip slip) {
         this.id = slip.getId();
         this.personId = slip.getPersonId();
         this.person = slip.getPerson();
         this.date = slip.getDate();
         this.producerId = slip.getProducerId();
         this.producer = slip.getProducer();
         this.reviewerId = slip.getReviewerId();
         this.reviewer = slip.getReviewer();
         this.proId = slip.getProId();
         this.proName = slip.getProName();
         this.pkOrg = slip.getPkOrg();
     }
 }
