package org.jeecg.common.dto.invoice;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
   * @Author jihaosen
   * @date 2021/3/2
   * @desc
   */
@ApiModel("采购发票和销售发票新增请求参数")
@Data
public class PurchaseAddReqDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("类型（1.采购发票 2.销售发票）")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目档案id")
    private String proArchivesId;
    @NotEmpty(message = "参数proCode不为空")
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("项目名称")
    @NotEmpty(message = "参数proName不为空")
    private String proName;
    @ApiModelProperty("填写人(当前用户)")
    @TableField(value = "`current_user`")
    private String currentUser;
    @ApiModelProperty("组织")
    private String pkOrg;

    private List<PurchaseDetailAddReqDTO> detailList;

    public PurchaseAddReqDTO() {
    }
}
