package org.jeecg.common.dto.invoice;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.invoice.entity.InvoiceManagePurchase;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

@ApiModel("采购，销售发票返回参数")
@Data
public class PurchaseRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("类型（1.采购发票 2.销售发票）")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目档案id")
    private String proArchivesId;
    @NotEmpty(message = "参数proCode不为空")
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("项目名称")
    @NotEmpty(message = "参数proName不为空")
    private String proName;
    @ApiModelProperty("填写人(当前用户)")
    @TableField(value = "`current_user`")
    private String currentUser;
    @ApiModelProperty("组织")
    private String pkOrg;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private List<PurchaseDetailListRespDTO> detailList;

    public PurchaseRespDTO() {
    }

    public PurchaseRespDTO(InvoiceManagePurchase purchase) {
        this.id = purchase.getId();
        this.billcode = purchase.getBillcode();
        this.type = purchase.getType();
        this.proArchivesId = purchase.getProArchivesId();
        this.proCode = purchase.getProCode();
        this.proName = purchase.getProName();
        this.currentUser = purchase.getCurrentUser();
        this.pkOrg = purchase.getPkOrg();
        this.createTime = purchase.getCreateTime();
    }
}
