package org.jeecg.common.dto.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.payment.entity.ManagePaymentAndReceiptContent;

import java.math.BigDecimal;

/**
 * @Author jihaosen
 * @date 2021/3/3
 */
@ApiModel("收款单子表新增响应参数")
@Data
public class SlipContentRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("收款单id")
    private String slipId;
    @ApiModelProperty("项目档案id")
    private String proArchivesId;
    @ApiModelProperty("项目档案--里程碑")
    private String proArchivesMilestone;
    @ApiModelProperty("收款条线档案id")
    private String coArchivesId;
    @ApiModelProperty("收付款条线档案名称")
    private String coArchivesName;
    @ApiModelProperty("收款金额")
    private BigDecimal coPrvice;
    @ApiModelProperty("说明")
    private String explain;
    @ApiModelProperty("采购发票id")
    private String invoiceId;
    @ApiModelProperty("对应发票(采购发票)")
    private String invoice;
    @ApiModelProperty("组织")
    private String pkOrg;
    @ApiModelProperty("排序")
    private Integer sort;

    public SlipContentRespDTO() {
    }

    public SlipContentRespDTO(ManagePaymentAndReceiptContent content) {
        this.id = content.getId();
        this.slipId = content.getSlipId();
        this.proArchivesId = content.getProArchivesId();
        this.proArchivesMilestone = content.getProArchivesMilestone();
        this.coArchivesId = content.getCoArchivesId();
        this.coArchivesName = content.getCoArchivesName();
        this.coPrvice = content.getCoPrvice();
        this.explain = content.getExplain();
        this.invoice = content.getInvoice();
        this.pkOrg = content.getPkOrg();
        this.invoiceId = content.getInvoiceId();
        this.sort = content.getSort();
    }
}
