package org.jeecg.common.dto.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.payment.entity.ManagerPaymentAndReceiptSlip;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author jihaosen
 * @date 2021/3/3
 */
@ApiModel("收付款单响应参数")
@Data
public class SlipRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.收款单 2.付款单")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("客户档案id")
    private String cusId;
    @ApiModelProperty("客户档案编码")
    private String cusCode;
    @ApiModelProperty("客户档案名称")
    private String cusName;
    @ApiModelProperty("总额")
    private BigDecimal totalPrice;
    @ApiModelProperty("组织")
    private String pkOrg;

    private List<SlipContentRespDTO> detailList;

    public SlipRespDTO() {
    }

    public SlipRespDTO( ManagerPaymentAndReceiptSlip slip) {
        this.id = slip.getId();
        this.billcode = slip.getBillcode();
        this.type = slip.getType();
        this.proId = slip.getProId();
        this.proName = slip.getProName();
        this.proCode = slip.getProCode();
        this.cusId = slip.getCusId();
        this.cusCode = slip.getCusCode();
        this.cusName = slip.getCusName();
        this.pkOrg = slip.getPkOrg();
        this.totalPrice = slip.getTotalPrice();
    }
}
