package org.jeecg.common.dto.prowork;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

@ApiModel("日志新增参数请求")
@Data
public class ProWorkLogicAddReqDTO {
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.开发 2.实施 3.服务")
    private String type;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("开始日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty("结束日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    @ApiModelProperty("汇报人id")
    private String reporterId;
    @ApiModelProperty("汇报人")
    private String reporter;
    @ApiModelProperty("填写人(当前用户)")
    private String currentUser;
    @ApiModelProperty("组织")
    private String pkOrg;

    private List<ProWorkLogicContentAddReqDTO> detailList;

    public ProWorkLogicAddReqDTO() {
    }
}
