package org.jeecg.common.dto.prowork;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

 /**
   * @Author jihaosen
   * @date 2021/3/2
   */

@ApiModel(value = "日志(实施，开发，服务)列表请求参数")
@Data
public class ProWorkLogicListReqDTO {

    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.开发 2.实施 3.服务")
    private String type;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("开始日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty("结束日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;
     @ApiModelProperty("汇报人")
    private String reporter;
    @ApiModelProperty("里程碑(计划)")
    private String milesName;
    @ApiModelProperty("填写人(当前用户)")
    private String currentUser;
    @ApiModelProperty("组织")
     private String pkOrg;

     public ProWorkLogicListReqDTO(String billcode, String proName, Date startDate, Date endDate, String milesName, String currentUser, String pkOrg) {
         this.billcode = billcode;
         this.proName = proName;
         this.startDate = startDate;
         this.endDate = endDate;
         this.milesName = milesName;
         this.currentUser = currentUser;
         this.pkOrg = pkOrg;
     }
 }
