package org.jeecg.common.dto.prowork;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.prowork.entity.ProWorkLogic;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

 /**
   * @Author jihaosen
   * @date 2021/3/2
   */
@ApiModel("日志响应参数")
@Data
public class ProWorkLogicRespDTO {
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("开始日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty("结束日期")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;
     @ApiModelProperty("汇报人id")
     private String reporterId;
    @ApiModelProperty("汇报人")
    private String reporter;
    @ApiModelProperty("填写人(当前用户)")
    private String currentUser;
     @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("组织")
    private String pkOrg;

    private List<ProWorkLogicContentListRespDTO> detailList;

    public ProWorkLogicRespDTO() {
    }

     public ProWorkLogicRespDTO(ProWorkLogic proWorkLogic) {
         this.id = proWorkLogic.getId();
         this.billcode = proWorkLogic.getBillcode();
         this.proId = proWorkLogic.getProId();
         this.proName = proWorkLogic.getProName();
         this.startDate = proWorkLogic.getStartDate();
         this.endDate = proWorkLogic.getEndDate();
         this.reporterId = proWorkLogic.getReporterId();
         this.reporter = proWorkLogic.getReporter();
         this.currentUser = proWorkLogic.getCurrentUser();
         this.createTime = proWorkLogic.getCreateTime();
         this.pkOrg = proWorkLogic.getPkOrg();
     }
 }
