package org.jeecg.common.dto.prowork;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.prowork.entity.ProWorkMilestone;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

 /**
   * @Author jihaosen
   * @date 2021/3/3
   */

@ApiModel("文件路径新增参数响应")
@Data
public class ProWorkMilestoneRespDTO {
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.开发 2.实施 3.服务")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目档案计划id")
    private String planId;
    @ApiModelProperty("项目档案id")
    private String proId;
    @ApiModelProperty("项目档案编码")
    private String proCode;
    @ApiModelProperty("项目档案名称")
    private String proName;
    @ApiModelProperty("客户档案id")
    private String cusId;
    @ApiModelProperty("客户编码")
    private String cusCode;
     @ApiModelProperty("客户名称")
    private String cusName;
    @ApiModelProperty("里程碑id")
    private String mileId;
    @ApiModelProperty("里程碑(计划)")
    private String mileName;
    @ApiModelProperty("里程碑确认(0,未确认 1，确认)")
    private Integer mileConfirm;
    @ApiModelProperty("确认时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;
    @ApiModelProperty("工作内容")
    private String content;
    @ApiModelProperty("工作时长")
    private Double duration;
    @ApiModelProperty("填写人(当前用户)")
    private String currentUser;
    @ApiModelProperty("组织")
    private String pkOrg;
     @ApiModelProperty("创建时间")
     private Date createTime;

    private List<ProWorkUpdateFileRespDTO> fileList;

    public ProWorkMilestoneRespDTO() {
    }

     public ProWorkMilestoneRespDTO(ProWorkMilestone proWorkMilestone) {
         this.id = proWorkMilestone.getId();
         this.billcode = proWorkMilestone.getBillcode();
         this.type = proWorkMilestone.getType();
         this.planId = proWorkMilestone.getPlanId();
         this.proId = proWorkMilestone.getProId();
         this.proCode = proWorkMilestone.getProCode();
         this.proName = proWorkMilestone.getProName();
         this.cusId = proWorkMilestone.getCusId();
         this.cusCode = proWorkMilestone.getCusCode();
         this.cusName = proWorkMilestone.getCusName();
         this.mileId = proWorkMilestone.getMileId();
         this.mileName = proWorkMilestone.getMileName();
         this.mileConfirm = proWorkMilestone.getMileConfirm();
         this.confirmTime = proWorkMilestone.getConfirmTime();
         this.content = proWorkMilestone.getContent();
         this.duration = proWorkMilestone.getDuration();
         this.currentUser = proWorkMilestone.getCurrentUser();
         this.pkOrg = proWorkMilestone.getPkOrg();
         this.createTime = proWorkMilestone.getCreateTime();
     }
 }
