package org.jeecg.common.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;

/**
 * @Author jihaosen
 * @date 2021/3/10
 */
@ApiModel("成本核算响应参数")
@Data
public class CostAccountingRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("收入-产品")
    private BigDecimal proIncome;
    @ApiModelProperty("收入-实施")
    private BigDecimal imIncome;
    @ApiModelProperty("收入-开发")
    private BigDecimal deIncome;
    @ApiModelProperty("收入-服务")
    private BigDecimal seIncome;
    @ApiModelProperty("收入库-其他")
    private BigDecimal otherIncome;
    @ApiModelProperty("付款-产品")
    private BigDecimal proPayment;
    @ApiModelProperty("付款-实施")
    private BigDecimal imPayment;
    @ApiModelProperty("付款-开发")
    private BigDecimal dePayment;
    @ApiModelProperty("付款-服务")
    private BigDecimal sePayment;
    @ApiModelProperty("付款-其他")
    private BigDecimal otherPayment;
    @ApiModelProperty("应税合计")
    private BigDecimal totalTax;
    @ApiModelProperty("税后合计")
    private BigDecimal totalAfterTax;
    @ApiModelProperty("预留")
    private BigDecimal reserve;
    @ApiModelProperty("工资")
    private BigDecimal salary;
    @ApiModelProperty("奖金")
    private BigDecimal award;
    @ApiModelProperty("费用")
    private BigDecimal cost;
    @ApiModelProperty("销售提成")
    private BigDecimal comSales;
    @ApiModelProperty("公摊费用")
    private BigDecimal exShared;
    @ApiModelProperty("毛利")
    private BigDecimal groProfit;

    public CostAccountingRespDTO() {
    }
}
