package org.jeecg.common.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;
import org.jeecg.modules.archives.entity.ProjectManageBusinessOther;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel("项目情况统计表--里程碑响应数据")
public class ProStatisticsThreeRespDTO {
    @ApiModelProperty("里程碑名称")
    @Getter
    @Setter
    private String milesName;
    @ApiModelProperty("里程碑计划开始时间")
    private Date mileStartDate;
    @ApiModelProperty("里程碑计划实际开始时间")
    private Date mileRealStartDate;
    @ApiModelProperty("里程碑计划结束时间")
    private Date mileEndDate;
    @ApiModelProperty("里程碑实际计划结束时间")
    private Date mileRealEndtDate;
    @ApiModelProperty("里程碑计划工时")
    private Double mileDuration;
    @ApiModelProperty("里程碑计划实际工时")
    private Double mileRealDuration;
    @ApiModelProperty("里程碑计划收款")
    private BigDecimal mileCoPlan;
    @ApiModelProperty("里程碑开票金额")
    private BigDecimal mileInvoice;
    @ApiModelProperty("里程碑实际收款")
    private BigDecimal mileRealCollecion;
    @ApiModelProperty("里程碑计划付款")
    private BigDecimal milePayPlan;
    @ApiModelProperty("里程碑收票金额")
    private BigDecimal mileTicket;
    @ApiModelProperty("里程碑实际付款")
    private BigDecimal mileRealPayment;
    @ApiModelProperty("title")
    private String title;
    @ApiModelProperty("parentId")
    private String parentId;
    @ApiModelProperty("isLeaf")
    private Boolean isLeaf;
    @Getter
    @Setter
    private String key;
    private List<ProStatisticsThreeRespDTO> childeren;

    public ProStatisticsThreeRespDTO() {
    }

    public ProStatisticsThreeRespDTO(ProjectManageBusinessOther other, ProStatisticsTwoRespDTO twoRespDTO) {
        this.key = other.getId();
        this.milesName = other.getMuilesName();
        this.mileStartDate = other.getStartDate();
        this.mileEndDate = other.getEndDate();
        this.mileDuration = StringUtils.isNotBlank(other.getPlanTime()) ? Double.parseDouble(other.getPlanTime()) : null;
        this.mileRealDuration = StringUtils.isNotBlank(other.getRealTime()) ? Double.parseDouble(other.getRealTime()) : null;
        this.mileCoPlan = twoRespDTO.getMilePrice();
        this.milePayPlan = twoRespDTO.getMileCoPrice();
        this.title = other.getMuilesName();
        this.parentId = twoRespDTO.getId();
        this.isLeaf = true;
        this.childeren = null;
    }

    public Date getMileStartDate() {
        return mileStartDate;
    }

    public void setMileStartDate(Date mileStartDate) {
        this.mileStartDate = mileStartDate;
    }

    public Date getMileRealStartDate() {
        return mileRealStartDate;
    }

    public void setMileRealStartDate(Date mileRealStartDate) {
        this.mileRealStartDate = mileRealStartDate;
    }

    public Date getMileEndDate() {
        return mileEndDate;
    }

    public void setMileEndDate(Date mileEndDate) {
        this.mileEndDate = mileEndDate;
    }

    public Date getMileRealEndtDate() {
        return mileRealEndtDate;
    }

    public void setMileRealEndtDate(Date mileRealEndtDate) {
        this.mileRealEndtDate = mileRealEndtDate;
    }

    public Double getMileDuration() {
        return mileDuration;
    }

    public void setMileDuration(Double mileDuration) {
        this.mileDuration = mileDuration;
    }

    public Double getMileRealDuration() {
        return mileRealDuration;
    }

    public void setMileRealDuration(Double mileRealDuration) {
        this.mileRealDuration = mileRealDuration;
    }

    public BigDecimal getMileCoPlan() {
        return mileCoPlan;
    }

    public void setMileCoPlan(BigDecimal mileCoPlan) {
        this.mileCoPlan = mileCoPlan;
    }

    public BigDecimal getMileInvoice() {
        return mileInvoice;
    }

    public void setMileInvoice(BigDecimal mileInvoice) {
        this.mileInvoice = mileInvoice;
    }

    public BigDecimal getMileRealCollecion() {
        return mileRealCollecion;
    }

    public void setMileRealCollecion(BigDecimal mileRealCollecion) {
        this.mileRealCollecion = mileRealCollecion;
    }

    public BigDecimal getMilePayPlan() {
        return milePayPlan;
    }

    public void setMilePayPlan(BigDecimal milePayPlan) {
        this.milePayPlan = milePayPlan;
    }

    public BigDecimal getMileTicket() {
        return mileTicket;
    }

    public void setMileTicket(BigDecimal mileTicket) {
        this.mileTicket = mileTicket;
    }

    public BigDecimal getMileRealPayment() {
        return mileRealPayment;
    }

    public void setMileRealPayment(BigDecimal mileRealPayment) {
        this.mileRealPayment = mileRealPayment;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    public Boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(Boolean leaf) {
        isLeaf = leaf;
    }

    public List<ProStatisticsThreeRespDTO> getChilderen() {
        return childeren;
    }

    public void setChilderen(List<ProStatisticsThreeRespDTO> childeren) {
        this.childeren = childeren;
    }
}
