package org.jeecg.common.dto.report;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.modules.archives.entity.ProjectManageArchivesAndBusiness;

import java.math.BigDecimal;
import java.util.List;

@ApiModel("项目情况统计表--收付款线条响应数据")
public class ProStatisticsTwoRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("项目组成员")
    @Getter
    @Setter
    @JsonIgnore
    private String proMember;
    @ApiModelProperty("收付款条线编码")
    private String coArchivesCode;
    @ApiModelProperty("收付款条线名称")
    private String coArchivesName;
    @ApiModelProperty("title")
    private String title;
    @ApiModelProperty("parentId")
    private String parentId;
    @ApiModelProperty("isLeaf")
    private Boolean isLeaf;
    @Getter
    @Setter
    private String key;
    /**
     * @desc 里程碑id
     */
    @JsonIgnore
    @Setter
    @Getter
    private String mileId;
    /**
     * @desc 里程碑名称
     */
    @JsonIgnore
    @Setter
    @Getter
    private String mileName;
    /**
     * @desc 里程碑金额
     */
    @JsonIgnore
    @Setter
    @Getter
    private BigDecimal milePrice;
    /**
     * @desc 里程碑计划回款
     */
    @JsonIgnore
    @Setter
    @Getter
    private BigDecimal mileCoPrice;

    private List<ProStatisticsThreeRespDTO> children;

    public ProStatisticsTwoRespDTO() {
    }

    public ProStatisticsTwoRespDTO(ProjectManageArchivesAndBusiness business, String parentId) {
        this.id = business.getId();
        this.key = business.getId();
        this.coArchivesName = business.getPlanName();
        this.title = business.getPlanName();
        this.parentId = parentId;
//        this.proMember = proMember;
        this.isLeaf = false;
        this.children = null;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCoArchivesCode() {
        return coArchivesCode;
    }

    public void setCoArchivesCode(String coArchivesCode) {
        this.coArchivesCode = coArchivesCode;
    }

    public String getCoArchivesName() {
        return coArchivesName;
    }

    public void setCoArchivesName(String coArchivesName) {
        this.coArchivesName = coArchivesName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(Boolean leaf) {
        isLeaf = leaf;
    }

    public List<ProStatisticsThreeRespDTO> getChildren() {
        return children;
    }

    public void setChildren(List<ProStatisticsThreeRespDTO> children) {
        this.children = children;
    }
}
