package org.jeecg.modules.archives.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import org.jeecg.common.dto.archives.ProArchivesAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * project_manage_archives
 * @author 
 */
@Data
@ApiModel("项目档案")
public class ProjectManageArchives implements Serializable {
    private static final long serialVersionUID = -2411456544820868464L;
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("项目立项档案id")
    private String proId;
    @ApiModelProperty("项目编码(来自项目立项)")
    private String proCode;
    @ApiModelProperty("项目名称(来自项目立项)")
    private String proName;
    @ApiModelProperty("客户档案id")
    private String cusId;
    @ApiModelProperty("客户编码(来自客户档案)")
    private String cusCode;
    @ApiModelProperty("客户名称(来自客户档案)")
    private String cusName;
    @ApiModelProperty("项目总金额")
    private BigDecimal totalPrice;
    @ApiModelProperty("已回款金额")
    private BigDecimal received;
    @ApiModelProperty("销售经理id")
    private String saleManagerId;
    @ApiModelProperty("销售经理")
    private String saleManager;
    @ApiModelProperty("业务员id")
    private String saleManId;
    @ApiModelProperty("业务员")
    private String saleMan;
    @ApiModelProperty("实施项目经理id")
    private String impManagerId;
    @ApiModelProperty("实施项目经理")
    private String impManager;
    @ApiModelProperty("实施顾问id")
    private String impConsultantId;
    @ApiModelProperty("实施顾问")
    private String impConsultant;
    @ApiModelProperty("开发项目经理id")
    private String deManagerId;
    @ApiModelProperty("开发项目经理")
    private String deManager;
    @ApiModelProperty("开发工程师id")
    private String deEngineerId;
    @ApiModelProperty("开发工程师")
    private String deEngineer;
    @ApiModelProperty("服务经理id")
    private String seManagerId;
    @ApiModelProperty("服务经理")
    private String seManager;
    @ApiModelProperty("服务工程师id")
    private String seEngineerId;
    @ApiModelProperty("服务工程师")
    private String seEngineer;
    @ApiModelProperty("里程碑档案id")
    private String milestoneId;
    @ApiModelProperty("里程碑档案类型")
    private String milestoneType;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("组织")
    private String pkOrg;

    public ProjectManageArchives() {
    }

    public ProjectManageArchives(ProArchivesAddReqDTO reqDTO) {
        this.proId = reqDTO.getProId();
        this.proCode = reqDTO.getProCode();
        this.proName = reqDTO.getProName();
        this.cusId = reqDTO.getCusId();
        this.cusCode = reqDTO.getCusCode();
        this.cusName = reqDTO.getCusName();
        this.totalPrice = reqDTO.getTotalPrice();
        this.received = reqDTO.getReceived();
        this.saleManagerId = reqDTO.getSaleManagerId();
        this.saleManager = reqDTO.getSaleManager();
        this.saleManId = reqDTO.getSaleManId();
        this.saleMan = reqDTO.getSaleMan();
        this.impManagerId = reqDTO.getImpManagerId();
        this.impManager = reqDTO.getImpManager();
        this.impConsultantId = reqDTO.getImpConsultantId();
        this.impConsultant = reqDTO.getImpConsultant();
        this.deManagerId = reqDTO.getDeManagerId();
        this.deManager = reqDTO.getDeManager();
        this.deEngineerId = reqDTO.getDeEngineerId();
        this.deEngineer = reqDTO.getDeEngineer();
        this.seManagerId = reqDTO.getSeManagerId();
        this.seManager = reqDTO.getSeManager();
        this.seEngineerId = reqDTO.getSeEngineerId();
        this.seEngineer = reqDTO.getSeEngineer();
        this.milestoneId = reqDTO.getMilestoneId();
        this.milestoneType = reqDTO.getMilestoneType();
        this.delFlag = "0";
        this.pkOrg = reqDTO.getPkOrg();
    }
}