package org.jeecg.modules.archives.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.archives.ProBusinessOtherAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

 /** 
   * @Author jihaosen
   * @date 2021/2/24 
   */
@ApiModel("项目档案--计划表")
@Data
@TableName("project_manage_business_other")
public class ProjectManageBusinessOther implements Serializable {
	 private static final long serialVersionUID = -5948784030717976932L;
    @TableId(type = IdType.UUID)
	private String id;
    @ApiModelProperty( "项目档案id")
    private String proArchivesId;
	 @ApiModelProperty( "计划类型 1.商务 2.实施 3.开发 4.服务")
    private Integer planType;
    @ApiModelProperty( "当前节点id")
	private String keyId;
	@ApiModelProperty( "父节点id")
	private String parentId;
	@ApiModelProperty( "里程碑id")
	private String muilesId;
	@ApiModelProperty( "里程碑名称")
	private String muilesName;
	 @ApiModelProperty( "里程碑编码")
	 private String muilesCode;
	@ApiModelProperty( "开始时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date startDate;
	@ApiModelProperty( "结束时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date endDate;
	@ApiModelProperty( "计划人天")
	private String planTime;
	@ApiModelProperty( "执行人")
	private String executor;
	@ApiModelProperty( "执行人id （来源角色表）")
	private String executorId;
	@ApiModelProperty("项目日志id")
	private String logicId;
	@ApiModelProperty( "实际人天（项目日志）")
	private String realTime;
	@ApiModelProperty( "创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty( "创建人")
	private String createBy;
	@ApiModelProperty( "修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty( "修改人")
	private String updateBy;
	@ApiModelProperty( "删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty( "组织")
	private String pkOrg;
	 @ApiModelProperty( "排序")
	private Integer sort;


	 public ProjectManageBusinessOther() {
	 }

	 /**
	  * @desc 添加用
	  */
	 public ProjectManageBusinessOther(ProBusinessOtherAddReqDTO plan, String proArchivesId, Integer planType, String pkOrg) {
		 this.proArchivesId = proArchivesId;
		 this.planType = planType;
		 this.keyId = plan.getKey();
		 this.parentId = plan.getParentId();
		 this.muilesId = plan.getMuilesId();
		 this.muilesName = plan.getMuilesName();
		 this.startDate = plan.getStartDate();
		 this.endDate = plan.getEndDate();
		 this.planTime = plan.getPlanTime();
		 this.executor = plan.getExecutor();
		 this.executorId = plan.getExecutorId();
		 this.realTime = plan.getRealTime();
		 this.delFlag = "0";
		 this.pkOrg = pkOrg;
		 this.muilesCode = plan.getMuilesCode();
	 }

	 /**
	  * @desc 用于项目日志的实际人天回写
	  */
	 public ProjectManageBusinessOther(String id, String logicId, String realTime){
	 	this.id = id;
	 	this.logicId = logicId;
	 	this.realTime = realTime;
	 }


	 public ProjectManageBusinessOther(String proArchivesId){
		 this.proArchivesId = proArchivesId;
	 }
 }
