package org.jeecg.modules.archives.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.apache.commons.lang3.StringUtils;
import org.jeecg.modules.archives.entity.ProjectManageBusinessOther;
import org.jeecg.modules.archives.mapper.ProjectManageBusinessOtherMapper;
import org.jeecg.modules.archives.service.ProjectManageBusinessOtherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.management.Query;
import java.util.List;

/**
 * @Description: 项目档案--计划表
 * @author： jeecg-boot
 * @date：   2021-02-24
 * @version： V1.0
 */
@Service
@Transactional
public class projectManageBusinessOtherServiceImpl extends ServiceImpl<ProjectManageBusinessOtherMapper, ProjectManageBusinessOther> implements ProjectManageBusinessOtherService {
    @Autowired
    private ProjectManageBusinessOtherMapper projectManageBusinessOtherMapper;

    /**
     * @desc 批量删除(逻辑删除)
     */
    @Override
    public void deleteBatch(List<ProjectManageBusinessOther> businessOtherList) {
        projectManageBusinessOtherMapper.deleteBatch(businessOtherList);
    }

    /**
     * @desc 获取列表数据
     */
    @Override
    public List<ProjectManageBusinessOther> getAll(ProjectManageBusinessOther other) {
        LambdaQueryWrapper<ProjectManageBusinessOther> lambdaQueryWrapper = new LambdaQueryWrapper<ProjectManageBusinessOther>()
                .eq(ProjectManageBusinessOther::getDelFlag, "0").eq(ProjectManageBusinessOther::getParentId, "0");
        if(StringUtils.isNotBlank(other.getId())){
            lambdaQueryWrapper.eq(ProjectManageBusinessOther::getId, other.getId());
        }
        lambdaQueryWrapper.orderByAsc(ProjectManageBusinessOther::getSort);
        return list(lambdaQueryWrapper);
    }
}
