package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotEmpty;

/**
   * @Author jihaosen
   * @date 2021/3/2
   */

@ApiModel("收付款条线档案")
@Data
@TableName("base_archives_collection_line")
public class BaseArchivesCollectionLine implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private String id;
	@ApiModelProperty("编码")
	@NotEmpty(message = "参数code不为空")
	private String code;
	@ApiModelProperty("名称")
	@NotEmpty(message = "参数name不为空")
	private String name;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty("创建人")
	private String createBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty("修改人")
	private String updateBy;
	@ApiModelProperty("删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty("组织")
	private String pkOrg;

	public BaseArchivesCollectionLine() {
	}
}
