package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotEmpty;

/**
 * @Description: 里程碑档案
 * @author： jeecg-boot
 * @date：   2021-02-24
 * @version： V1.0
 */
@Data
@ApiModel(description = "里程碑档案表")
@TableName("base_archives_milestone")
public class BaseArchivesMilestone implements Serializable {
	private static final long serialVersionUID = 7791033952879025514L;
	@ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	@ApiModelProperty("父节点id")
	@NotEmpty(message = "父节点id不为空")
	private java.lang.String parentId;
	@ApiModelProperty("编码")
	private java.lang.String code;
	@ApiModelProperty("名称")
	@NotEmpty(message = "参数name不为空")
	private java.lang.String name;
	@ApiModelProperty("类别id(来源数据字典)")
	@NotEmpty(message = "参数typeId不为空")
	private String typeId;
	@ApiModelProperty("类别")
	@NotEmpty(message = "参数type不为空")
	private java.lang.String type;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	@ApiModelProperty("创建人")
	private java.lang.String createBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;
	@ApiModelProperty("修改人")
	private java.lang.String updateBy;
	@ApiModelProperty("删除状态（0，正常，1已删除）")
	private java.lang.String delFlag;
	@ApiModelProperty("组织")
	private java.lang.String pkOrg;

	public BaseArchivesMilestone() {
	}

	public BaseArchivesMilestone(String id, String parentId, String code, String name, String type, Date createTime,
	    String createBy, Date updateTime, String updateBy, String delFlag, String pkOrg) {
		this.id = id;
		this.parentId = parentId;
		this.code = code;
		this.name = name;
		this.type = type;
		this.createTime = createTime;
		this.createBy = createBy;
		this.updateTime = updateTime;
		this.updateBy = updateBy;
		this.delFlag = delFlag;
		this.pkOrg = pkOrg;
	}
}
