package org.jeecg.modules.basedata.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotEmpty;

@Data
@ApiModel("职务档案")
public class BaseArchivesPost implements Serializable {
    private static final long serialVersionUID = -510809426486409719L;
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("父节点id")
    private String parentId;
    @ApiModelProperty("职务编码")
    @NotEmpty(message = "职务编码不为空")
    private String code;
    @ApiModelProperty("职务名称")
    @NotEmpty(message = "职务名称不为空")
    private String name;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("组织")
    private String pkOrg;

    public BaseArchivesPost() {
    }

    /**
     * @desc 添加用
     */
    public BaseArchivesPost(String id, String parentId, String code, String name,
        Date createTime, String createBy, Date updateTime, String updateBy, String delFlag,
        String pkOrg) {
        this.id = id;
        this.parentId = parentId;
        this.code = code;
        this.name = name;
        this.createTime = createTime;
        this.createBy = createBy;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.delFlag = delFlag;
        this.pkOrg = pkOrg;
    }
}