package org.jeecg.modules.basedata.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;

/**
   * @Author jihaosen
   * @date 2021/2/24
   * @desc 项目立项档案
   */
@Data
@ApiModel("项目立项档案")
@Table(name = "base_archives_project_approval")
public class BaseArchivesProjectApproval implements Serializable {
    private static final long serialVersionUID = -4891167053688641396L;
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("父节点id")
    @NotEmpty(message = "父节点id不为空")
    private String parentId;
    @ApiModelProperty("项目编码")
    private String code;
    @NotEmpty(message = "项目名称不为空")
    @ApiModelProperty("项目名称")
    private String name;
    @ApiModelProperty("状态（0：未启用， 1：启用）")
    private Integer status;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("组织")
    private String pkOrg;

    public BaseArchivesProjectApproval() {
    }

    public BaseArchivesProjectApproval(String id, String parentId, String code, String name, Integer status,
       String delFlag, Date createTime, String createBy, Date updateTime, String updateBy, String pkOrg) {
        this.id = id;
        this.parentId = parentId;
        this.code = code;
        this.name = name;
        this.status = status;
        this.delFlag = delFlag;
        this.createTime = createTime;
        this.createBy = createBy;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.pkOrg = pkOrg;
    }
}