package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

import javax.validation.constraints.NotEmpty;

/**
 * @Description: 客户联系人
 * @author： jeecg-boot
 * @date：   2019-05-08
 * @version： V1.0
 */
@Data
@TableName("fd_customer_contacts")
public class FdCustomerContacts implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**客户联系人主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**客户表id*/
	@Excel(name = "客户表id", width = 15)
	private java.lang.String pkCustomerId;
	/**联系人*/
	@Excel(name = "联系人", width = 15)
	@NotEmpty(message = "联系人不能为空")
	private java.lang.String contactPsn;
	/**联系人电话*/
	@Excel(name = "联系人电话", width = 15)
	private java.lang.String contectTel;
	/**联系人邮箱*/
	@Excel(name = "联系人邮箱", width = 15)
	private java.lang.String email;
	/**联系人地址*/
	@Excel(name = "联系人地址", width = 15)
	private java.lang.String address;
	/**删除标记0正常1删除*/
	@Excel(name = "删除标记0正常1删除", width = 15)
	private java.lang.String delFlag;
	/**是否默认(0默认1不是默认）*/
	@Excel(name = "是否默认(0默认1不是默认）", width = 15)
	private java.lang.String isDefault;

	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	/**最后修改人*/
	@Excel(name = "最后修改人", width = 15)
	private java.lang.String updateBy;
	/**最后修改时间*/
	@Excel(name = "最后修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private java.lang.String memo;
	/**扩展字段1*/
	@Excel(name = "扩展字段1", width = 15)
	private java.lang.String def1;
	/**扩展字段2*/
	@Excel(name = "扩展字段2", width = 15)
	private java.lang.String def2;
	/**扩展字段3*/
	@Excel(name = "扩展字段3", width = 15)
	private java.lang.String def3;
	/**扩展字段4*/
	@Excel(name = "扩展字段4", width = 15)
	private java.lang.String def4;
	/**扩展字段5*/
	@Excel(name = "扩展字段5", width = 15)
	private java.lang.String def5;
	/**所属公司*/
	@Excel(name = "所属公司", width = 15)
	private java.lang.String pkOrg;
	//排序
	private Integer sort;
}
