package org.jeecg.modules.basedata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.basedata.entity.BaseArchivesCollectionLine;
import org.jeecg.modules.basedata.mapper.BaseArchivesCollectionLineMapper;
import org.jeecg.modules.basedata.service.IBaseArchivesCollectionLineService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.util.CollectionUtils;

import java.util.List;
import java.util.Map;
import java.util.stream.Collector;
import java.util.stream.Collectors;

/**
 * @Description: 收付款条线档案
 * @author： jeecg-boot
 * @date：   2021-03-02
 * @version： V1.0
 */
@Service
public class BaseArchivesCollectionLineServiceImpl extends ServiceImpl<BaseArchivesCollectionLineMapper, BaseArchivesCollectionLine> implements IBaseArchivesCollectionLineService {

    /**
     * @desc 收付款条线所有数据 (key: id, value: name)
     */
    @Override
    public Map<String, BaseArchivesCollectionLine> getDataMap() {
        List<BaseArchivesCollectionLine> list = list(new LambdaQueryWrapper<BaseArchivesCollectionLine>().eq(BaseArchivesCollectionLine :: getDelFlag, "0"));
        return list.stream().collect(Collectors.toMap(BaseArchivesCollectionLine::getId, t->t));
    }
}
