package org.jeecg.modules.expense.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.expense.ExpenseSlipAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Author jihaosen
 * @date 2021/3/3
 */
@ApiModel("费用报销单")
@Data
@TableName("re_expense_slip")
public class ReExpenseSlip implements Serializable {
    private static final long serialVersionUID = 5775022128365184542L;
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("人员id")
    private String personId;
    @ApiModelProperty("人员")
    private String person;
    @ApiModelProperty("日期")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date date;
    @ApiModelProperty("制单人id")
    private String producerId;
    @ApiModelProperty("制单人")
    private String producer;
    @ApiModelProperty("审核人id")
    private String reviewerId;
    @ApiModelProperty("审核人")
    private String reviewer;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名")
    private String proName;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("组织")
    private String pkOrg;

    public ReExpenseSlip() {
    }

    public ReExpenseSlip(ExpenseSlipAddReqDTO reqDTO) {
        this.id = reqDTO.getId();
        this.personId = reqDTO.getPersonId();
        this.person = reqDTO.getPerson();
        this.date = reqDTO.getDate();
        this.producerId = reqDTO.getProducerId();
        this.producer = reqDTO.getProducer();
        this.reviewerId = reqDTO.getReviewerId();
        this.reviewer = reqDTO.getReviewer();
        this.delFlag = "0";
        this.proId = reqDTO.getProId();
        this.proName = reqDTO.getProName();
        this.pkOrg = reqDTO.getPkOrg();
    }
}
