package org.jeecg.modules.expense.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.expense.ExpenseSlipProjectAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: 费用报销单--项目金额
 * @author： jeecg-boot
 * @date：   2021-03-04
 * @version： V1.0
 */
@Data
@TableName("re_expense_slip_project")
public class ReExpenseSlipProject implements Serializable {
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private String id;
	@ApiModelProperty("费用报销单id")
    private String expenseId;
	@ApiModelProperty("费用项目id")
    private String costId;
	@ApiModelProperty("费用项目名称")
	private String costName;
	@ApiModelProperty("金额")
	private BigDecimal price;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty("创建人")
	private String createBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty("修改人")
	private String updateBy;
	@ApiModelProperty("组织")
	private String pkOrg;
	@ApiModelProperty("删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty("排序")
	private Integer sort;

	public ReExpenseSlipProject() {
	}

	public ReExpenseSlipProject(ExpenseSlipProjectAddReqDTO detail) {
		this.expenseId = detail.getExpenseId();
		this.costId = detail.getCostId();
		this.costName = detail.getCostName();
		this.delFlag = "0";
		this.price = detail.getPrice();
	}

	public ReExpenseSlipProject(String delFlag) {
		this.delFlag = delFlag;
	}
}
