package org.jeecg.modules.payment.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.payment.SlipAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;

/**
 * @Author jihaosen
 * @date 2021/3/3
 */
@ApiModel("收付款管理--收款单")
@Data
@TableName("manager_payment_and_receipt_slip")
public class ManagerPaymentAndReceiptSlip implements Serializable {
    private static final long serialVersionUID = 8999292675373952484L;
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.收款单 2.付款单")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("客户档案id")
    private String cusId;
    @ApiModelProperty("客户档案编码")
    private String cusCode;
    @ApiModelProperty("客户档案名称")
    private String cusName;
    @ApiModelProperty("总额")
    private BigDecimal totalPrice;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private java.util.Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private java.util.Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("组织")
    private String pkOrg;

    public ManagerPaymentAndReceiptSlip() {
    }

    public ManagerPaymentAndReceiptSlip(SlipAddReqDTO reqDTO) {
        this.id = reqDTO.getId();
        this.billcode = reqDTO.getBillcode();
        this.type = reqDTO.getType();
        this.proId = reqDTO.getProId();
        this.proName = reqDTO.getProName();
        this.proCode = reqDTO.getProCode();
        this.cusId = reqDTO.getCusId();
        this.cusCode = reqDTO.getCusCode();
        this.cusName = reqDTO.getCusName();
        this.totalPrice = reqDTO.getTotalPrice();
        this.delFlag = "0";
        this.pkOrg = reqDTO.getPkOrg();
    }

    public ManagerPaymentAndReceiptSlip(String proId) {
        this.proId = proId;
    }
}
