package org.jeecg.modules.payment.service;

import org.jeecg.common.dto.archives.ExpensePriceReqDTO;
import org.jeecg.common.dto.archives.ExpensePriceRespDTO;
import org.jeecg.common.dto.payment.ProjectArchiveReqDTO;
import org.jeecg.common.dto.payment.ProjectArchiveRespDTO;
import org.jeecg.common.dto.payment.SlipAddReqDTO;
import org.jeecg.common.dto.payment.SlipAllListDTO;
import org.jeecg.common.dto.payment.SlipRespDTO;
import org.jeecg.modules.payment.entity.ManagerPaymentAndReceiptSlip;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: 收付款管理--收款单
 * @author： jeecg-boot
 * @date：   2021-03-03
 * @version： V1.0
 */
public interface ManagerPaymentAndReceiptSlipService extends IService<ManagerPaymentAndReceiptSlip> {
    /**
     * @desc 新增
     */
    void add(SlipAddReqDTO slipAddReqDTO);
    /**
     * @desc 编辑
     */
    boolean edit(SlipAddReqDTO reqDTO);
    /**
     * @desc 通过id查询
     */
    SlipRespDTO queryById(String id);
    /**
     * @desc 通过id删除
     */
    Boolean dropById(ManagerPaymentAndReceiptSlip managerPaymentAndReceiptSlip);
    /**
     * @desc 统计收付款单金额
     */
    ExpensePriceRespDTO getExpensePrice(ExpensePriceReqDTO reqDTO);
    /**
     * @desc 获取项目档案的名称与编码
     */
    List<ProjectArchiveRespDTO>  getProNameAndCode(ProjectArchiveReqDTO reqDTO);
    /**
     * @desc 主子表列表数据
     */
    List<SlipAllListDTO> getAll(ManagerPaymentAndReceiptSlip managerPaymentAndReceiptSlip);
}
