package org.jeecg.modules.prowork.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.prowork.ProWorkLogicAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: 日志(实施，开发，服务)
 * @author： jeecg-boot
 * @date：   2021-03-02
 * @version： V1.0
 */
@Data
@TableName("pro_work_logic")
public class ProWorkLogic implements Serializable {
	private static final long serialVersionUID = -7003016308321068677L;
	@ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private String id;
	@ApiModelProperty("单据编号")
	private String billcode;
    @ApiModelProperty("1.开发 2.实施 3.服务")
    private String type;
	@ApiModelProperty("项目id")
	private String proId;
	@ApiModelProperty("项目名称")
	private String proName;
	@ApiModelProperty("开始日期")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date startDate;
	@ApiModelProperty("结束日期")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date endDate;
	@ApiModelProperty("汇报人id")
	private String reporterId;
	@ApiModelProperty("汇报人")
	private String reporter;
	@ApiModelProperty("填写人(当前用户)")
    @TableField(value = "`current_user`")
	private String currentUser;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty("创建人")
	private String createBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty("修改人")
	private String updateBy;
	@ApiModelProperty("删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty("组织")
	private String pkOrg;

	public ProWorkLogic() {
	}

	public ProWorkLogic(ProWorkLogicAddReqDTO reqDTO) {
		this.id = reqDTO.getId();
		this.billcode = reqDTO.getBillcode();
		this.type = reqDTO.getType();
		this.proId = reqDTO.getProId();
		this.proName = reqDTO.getProName();
		this.startDate = reqDTO.getStartDate();
		this.endDate = reqDTO.getEndDate();
		this.reporterId = reqDTO.getReporterId();
		this.reporter = reqDTO.getReporter();
		this.currentUser = reqDTO.getCurrentUser();
		this.delFlag = "0";
		this.pkOrg = reqDTO.getPkOrg();
	}
}
