package org.jeecg.modules.prowork.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.prowork.ProWorkLogicContentAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: 日志详情(实施，开发，服务)
 * @author： jeecg-boot
 * @date：   2021-03-02
 * @version： V1.0
 */
@Data
@ApiModel(value = "日志详情(实施，开发，服务)")
@TableName("pro_work_logic_content")
public class ProWorkLogicContent implements Serializable {
	private static final long serialVersionUID = -8092464265175600218L;
	@ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private String id;
	@ApiModelProperty("项目档案计划id")
	private String proPlanId;
	@ApiModelProperty("日志id")
	private String logicId;
	@ApiModelProperty("项目档案里程碑id")
	private String proArchivesId;
	@ApiModelProperty("项目档案里程碑")
	private String proArchivesMilestone;
	@ApiModelProperty("工作内容")
	private String content;
	@ApiModelProperty("工作时长")
	private Double duration;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty("创建人")
	private String createBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty("修改人")
	private String updateBy;
	@ApiModelProperty("删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty("组织")
	private String pkOrg;
	@ApiModelProperty("排序")
	private Integer sort;

	public ProWorkLogicContent() {
	}

	public ProWorkLogicContent(ProWorkLogicContentAddReqDTO detail) {
		this.logicId = detail.getLogicId();
		this.proPlanId = detail.getProPlanId();
		this.proArchivesId = detail.getProArchivesId();
		this.proArchivesMilestone = detail.getProArchivesMilestone();
		this.content = detail.getContent();
		this.duration = detail.getDuration();
		this.delFlag = "0";
		this.pkOrg = detail.getPkOrg();
	}

	public ProWorkLogicContent(String delFlag){
		this.delFlag = delFlag;
	}
}
