package org.jeecg.modules.prowork.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.prowork.ProWorkUpdateFileAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Author jihaosen
 * @date 2021/3/3
 */
@ApiModel("文件信息")
@Data
@TableName("pro_work_update_file")
public class ProWorkUpdateFile implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("里程碑确认单id")
    private String workMileId;
    @ApiModelProperty("文件名")
    private String fileName;
    @ApiModelProperty("fileUrl")
    private String fileUrl;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private java.util.Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private java.util.Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("组织")
    private String pkOrg;
    @ApiModelProperty("排序")
    private Integer sort;

    public ProWorkUpdateFile() {
    }

    public ProWorkUpdateFile(ProWorkUpdateFileAddReqDTO fileAddReqDTO ) {
        this.fileUrl = fileAddReqDTO.getFileUrl();
    }

    public ProWorkUpdateFile(String delFlag ) {
        this.delFlag = delFlag;
    }
}
