package org.jeecg.modules.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("打印模板")
@Data
@TableName("cd_print_template")
public class CdPrintTemplate implements Serializable {
	private static final long serialVersionUID = -6107852546739368695L;
	@ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private String id;
	@ApiModelProperty("组织id列表")
	private String departmentId;
	@ApiModelProperty("模板名称")
	private String templateName;
	@ApiModelProperty("模板文件")
	private String templateFile;
	@ApiModelProperty("模板类型（合格证，出门证）")
	private String templateType;
	@ApiModelProperty("创建人")
	private String createBy;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty("修改人")
	private String updateBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty("0表示未删除,1表示删除")
	private String delFlag;

	public CdPrintTemplate() {
	}
}
