package org.jeecg.modules.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

import javax.validation.constraints.NotEmpty;

/**
 * @Description: 最大编号模式表
 * @author： jeecg-boot
 * @date：   2019-05-23
 * @version： V1.0
 */
@Data
@TableName("sys_serial_max")
public class SysSerialMax implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private String id;
	/**编号模式表主键*/
	@Excel(name = "编号模式表主键", width = 15)
	@NotEmpty(message="编号模式表主键不能为空")
	@Length(max=100,message = "编号模式表主键不能超过32个文字")
	private String patternId;
	/**固定字符串前缀1*/
	@Excel(name = "固定字符串前缀1", width = 15)
	private String fixedString1;
	/**固定字符串前缀2*/
	@Excel(name = "固定字符串前缀2", width = 15)
	private String fixedString2;
	/**表格字段1*/
	@Excel(name = "表格字段1", width = 15)
	private String tableField1;
	/**表格字段2*/
	@Excel(name = "表格字段2", width = 15)
	private String tableField2;
	/**表格字段3*/
	@Excel(name = "表格字段3", width = 15)
	private String tableField3;
	/**表格字段4*/
	@Excel(name = "表格字段4", width = 15)
	private String tableField4;
	/**日期字符串*/
	@Excel(name = "日期字符串", width = 15)
	private String dateString;
	/**当前最大编号*/
	@Excel(name = "当前最大编号", width = 15)
	@NotEmpty(message="最大编号不能为空")
	@Length(max=50,message = "最大编号不能超过50个文字")
	private String maxSerial;
	/**固定字符串前缀3*/
	@Excel(name = "固定字符串前缀3", width = 15)
	private String fixedString3;
	/**固定字符串前缀4*/
	@Excel(name = "固定字符串前缀4", width = 15)
	private String fixedString4;
	/**所属公司*/
	@Excel(name = "所属公司", width = 15)
	private java.lang.String pkOrg;
}
