package org.jeecg.modules.system.service;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.system.entity.SysUser;
import org.jeecg.modules.system.entity.SysUserSelect;
import org.jeecg.modules.system.model.SysUserCacheInfo;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author scott
 * @since 2018-12-20
 */
public interface ISysUserService extends IService<SysUser> {

	public SysUser getUserByNameAndPkOrg(String username,String pkOrg);

	public SysUser getUserByName(String username);
	
	/**
	 * 添加用户和用户角色关系
	 * @param user
	 * @param roles
	 */
	public void addUserWithRole(SysUser user,String roles);
	
	
	/**
	 * 修改用户和用户角色关系
	 * @param user
	 * @param roles
	 */
	public void editUserWithRole(SysUser user,String roles);

	/**
	 * 获取用户的授权角色
	 * @param username
	 * @return
	 */
	public List<String> getRole(String username);
	
	/**
	  * 查询用户信息包括 部门信息
	 * @param username
	 * @return
	 */
	public SysUserCacheInfo getCacheUser(String username);

	/**
	 * @Author gurui
	 * @Description //TODO 根据用户名查询真实名称
	 * @Date 下午 6:15 16/10/2019
	 * @Param
	 * @return
	 **/
	public SysUser queryRealNameByUsername(String username);

	/***
	 * @Title:分页查询
	        * @Description:TODO
	        * @param [page, queryWrapper]
	        * @return com.baomidou.mybatisplus.core.metadata.IPage<org.jeecg.modules.system.entity.SysUser>
	        * @exception 
	        * @author 陈创
	        * @date 2019/11/12 16:23
	        * @updatehistory:
	 *   2019/11/12 16:23 新增
	        */
	IPage<SysUserSelect> getPageList(Page<SysUserSelect> page, QueryWrapper<SysUserSelect> queryWrapper);


	/**
	* @Author chenchuang
	* @Description //TODO 根据角色id查询对应角色下的人员
	* @Date 2020/7/20 11:17
	* @Param [roleId]
	* @return java.util.List<org.jeecg.modules.system.entity.SysUser>
	*/
	List<SysUser> getUserByRoleId(String roleId);

	List<SysUser> getUserRole();
}
